Inserts a breakpoint at entry to a method

- « phpdbg_break_function

- phpdbg_break_next »

- PHP Manual
- phpdbg Functions
- Inserts a breakpoint at entry to a method

# phpdbg_break_method

(PHP 5 >= 5.6.3, PHP 7, PHP 8)

phpdbg_break_method — Inserts a breakpoint at entry to a method

### Description

phpdbg_break_method(string `$class`, string `$method`): void

Insert a breakpoint at the entry to the given `method` of the given `class`.

### Parameters

`class`

  The name of the class.

`method`

  The name of the method.

### Return Values

No value is returned.

### See Also

- phpdbg_break_file() - Inserts a breakpoint at a line in a file
- phpdbg_break_function() - Inserts a breakpoint at entry to a function
- phpdbg_break_next() - Inserts a breakpoint at the next opcode
- phpdbg_clear() - Clears all breakpoints